﻿<%@ WebHandler Language="C#" Class="LoginHandler" %>

using System;
using System.Web;
using System.Data.SqlClient;
using System.Configuration;

public class LoginHandler : IHttpHandler {
    
    public void ProcessRequest (HttpContext context) {
        
        string uname = context.Request["uname"];     
        string result = "0";
        if (uname != null)
        {
            result = CheckUNAvailable(uname);            
        }
        context.Response.Write(result);
        context.Response.End();
    }
    public string CheckUNAvailable(string name)
    {
        string result = "0";
        SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["Sql"].ConnectionString);
        try
        {            
            con.Open();
            SqlCommand com = new SqlCommand("Select Login from tblLogin where Login=@Login", con);
            com.Parameters.AddWithValue("@Login", name);
            object uname = com.ExecuteScalar();
            if (uname != null)
                result = "1";
        }
        catch
        {
            result = "error";
        }
        finally
        {
            con.Close();
        }
        return result;
    }
    public bool IsReusable {
        get {
            return false;
        }
    }

}